Package org.codehaus.groovy.ast.stmt

# Class EmptyStatement

java.lang.Object
org.codehaus.groovy.ast.ASTNode
org.codehaus.groovy.ast.stmt.Statement
org.codehaus.groovy.ast.stmt.EmptyStatement

public class EmptyStatement extends Statement
Represents an empty statement

Author:
  James Strachan

## Field Summary

Fields
Modifier and Type
Field
Description
`static final EmptyStatement`
`INSTANCE`

## Constructor Summary

Constructors
Constructor
Description
`EmptyStatement()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isEmpty()`
`void`
`visit(GroovyCodeVisitor visitor)`

### Methods inherited from class org.codehaus.groovy.ast.stmt.Statement

`addStatementLabel, getStatementLabel, getStatementLabels, setStatementLabel`

### Methods inherited from class org.codehaus.groovy.ast.ASTNode

`copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INSTANCE

public static final EmptyStatement INSTANCE

## Constructor Details

### EmptyStatement

public EmptyStatement()

## Method Details

### visit

public void visit(GroovyCodeVisitor visitor)

Overrides:
  `visit` in class `ASTNode`

### isEmpty

public boolean isEmpty()

Overrides:
  `isEmpty` in class `Statement`